Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - l -

- last_key() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
- last_value() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
- librev() : kyotocabinet::DirDB , kyotocabinet::HashDB , kyotocabinet::CacheDB
- libver() : kyotocabinet::HashDB , kyotocabinet::CacheDB , kyotocabinet::DirDB
- LinkedHashMap() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
- list : KCLIST
- load_snapshot() : kyotocabinet::BasicDB
- lock() : kyotocabinet::SpinLock , kyotocabinet::SlottedSpinLock , kyotocabinet::Mutex , kyotocabinet::SlottedMutex
- lock_all() : kyotocabinet::SlottedMutex , kyotocabinet::SlottedSpinLock
- lock_reader() : kyotocabinet::RWLock , kyotocabinet::SlottedRWLock , kyotocabinet::SpinRWLock , kyotocabinet::SlottedSpinRWLock
- lock_reader_all() : kyotocabinet::SlottedRWLock , kyotocabinet::SlottedSpinRWLock
- lock_reader_try() : kyotocabinet::RWLock , kyotocabinet::SpinRWLock
- lock_try() : kyotocabinet::Mutex , kyotocabinet::SpinLock
- lock_writer() : kyotocabinet::SlottedRWLock , kyotocabinet::SpinRWLock , kyotocabinet::SlottedSpinRWLock , kyotocabinet::RWLock
- lock_writer_all() : kyotocabinet::SlottedRWLock , kyotocabinet::SlottedSpinRWLock
- lock_writer_try() : kyotocabinet::RWLock , kyotocabinet::SpinRWLock
- log() : kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::StashDB , kyotocabinet::DirDB , kyotocabinet::PolyDB , kyotocabinet::BasicDB::Logger , kyotocabinet::BasicDB , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::CacheDB , kyotocabinet::TextDB , kyotocabinet::IndexDB , kyotocabinet::MapReduce
- LOGIC : kyotocabinet::BasicDB::Error